import { HashObject } from "../2d/HashObject";

/**
 * 四元数
 */
export class Quaternion extends HashObject {
    destroy() { }
    private _x: number;
    private _y: number;
    private _z: number;
    private _w: number;
    constructor(x: number = 0, y: number = 0, z: number = 0, w: number = 1) {
        super();
        this._instanceType = "Quaternion";
        this._x = x || 0;
        this._y = y || 0;
        this._z = z || 0;
        this._w = w;
    }
}